Page MenuHomePhabricator

Building a Visual Video Editor for the Web
Closed, ResolvedPublic

Description

It's been a long time since the WMF planned on launching a large initiative into online video way back in 2009. Since then, the power of video on not only the web, but also mobile has grown an incredible amount.

Mozilla's Popcorn Maker project leverages popcorn.js users to remix popular videos on the web and share them. As a cloud services developer at Mozilla I have worked with the Web Maker team to port this editor into it's own javascript module and create a python library for transcoding popcorn videos into flat video files. I along with other Mozillians and Wikimedians at WMF have been working on building a plan of integrating this into the wikimedia software suite and build a road map of what sort of features we'd like to see in the future.

In this talk I plan to:

  • Demo what work I have completed so far.
  • Go over the road map of what features we would like to see.
  • Begin a discussion of how video fits into wikis and how what is built so far can help make that happen.

Event Timeline

nolski_mozilla claimed this task.
nolski_mozilla raised the priority of this task from to Needs Triage.
nolski_mozilla updated the task description. (Show Details)
nolski_mozilla added a subscriber: nolski_mozilla.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 10:28 PM

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

Qgil added a subscriber: Qgil.Sep 16 2015, 10:16 AM

A message to all open tasks related to the #Wikimania-Hackathon-2015. What do you need to complete this task? Do you need support from the Wikimedia Foundation to push it forward? Help promoting this project? Finding an intern to work on it? Organizing a developer sprint? Pitching it to WMF teams? Applying for a grant? If you need support, share your request at T107423: Evaluate which projects showcased at the Wikimania Hackathon 2015 should be supported further or contact me personally. Thank you!

Qgil closed this task as Resolved.Oct 11 2015, 9:19 PM

Assuming that this session happened at Wikimania. Resolving.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 6 2016, 9:20 PM